# Try to find f3d includes and libraries
# To find custom locations with f3d stuff, set the 

# CMAKE_INCLUDE_PATH and CMAKE_LIBRARY_PATH environment variables. For example:

# setenv CMAKE_INCLUDE_PATH "${HOME}/f3dla/include:${HOME}/f3dformat/include:${HOME}/f3dfilter/include" 
# setenv CMAKE_LIBRARY_PATH "${HOME}/f3dla/build/bin:${HOME}/f3dformat/build/bin:${HOME}/f3dfilter/build/bin" 

#for the csh/tcsh shell
 
# Once done this will define:
#  f3dla_FOUND        - system has f3dla
#  f3dla_INCLUDE_DIR  - incude paths to use f3dla
#  f3dla_LIBRARIES    - Link these to use f3dla
SET(f3dla_FOUND 0)
IF(UNIX)
	FIND_PATH(f3dla_INCLUDE_DIR
		f3dVector.h
		/usr/local/include
		/usr/include
		)

	FIND_LIBRARY(f3dla_LIBRARIES
		f3dla
		
		/usr/local/lib
		/usr/lib
		)

	IF(f3dla_LIBRARIES AND f3dla_INCLUDE_DIR)
		SET(f3dla_FOUND 1)
		INCLUDE_DIRECTORIES(BEFORE ${f3dla_INCLUDE_DIR})
		#MESSAGE("DBG f3dla_INCLUDE_DIR: ${f3dla_INCLUDE_DIR}")
	ENDIF(f3dla_LIBRARIES AND f3dla_INCLUDE_DIR)

ELSE(UNIX)

	FIND_PATH(f3dla_INCLUDE_DIR
		f3dVector.h
		/usr/local/include
		/usr/include
		)

	FIND_LIBRARY(f3dla_LIBRARIES
		f3dla
		/usr/local/lib
		/usr/lib
		)

	IF(f3dla_LIBRARIES AND f3dla_INCLUDE_DIR)
		SET(f3dla_FOUND 1)
		INCLUDE_DIRECTORIES(BEFORE ${f3dla_INCLUDE_DIR})
		#MESSAGE("DBG f3dla_INCLUDE_DIR: ${f3dla_INCLUDE_DIR}")
	ENDIF(f3dla_LIBRARIES AND f3dla_INCLUDE_DIR)
	
ENDIF(UNIX)

SET(f3dformat_FOUND 0)
IF(UNIX)
	FIND_PATH(f3dformat_INCLUDE_DIR
		f3d.h
		/usr/local/include
		/usr/include
		)

	FIND_LIBRARY(f3dformat_LIBRARIES
		f3dformat
		/usr/local/lib
		/usr/lib
		)

	IF(f3dformat_LIBRARIES AND f3dformat_INCLUDE_DIR)
		SET(f3dformat_FOUND 1)
		INCLUDE_DIRECTORIES(BEFORE ${f3dformat_INCLUDE_DIR})
		#MESSAGE("DBG f3dformat_INCLUDE_DIR: ${f3dformat_INCLUDE_DIR}")
	ENDIF(f3dformat_LIBRARIES AND f3dformat_INCLUDE_DIR)

ELSE(UNIX)
	FIND_PATH(f3dformat_INCLUDE_DIR
		f3d.h
		/usr/local/include
		/usr/include
		)

	FIND_LIBRARY(f3dformat_LIBRARIES
		f3dformat
		/usr/local/lib
		/usr/lib
		)

	IF(f3dformat_LIBRARIES AND f3dformat_INCLUDE_DIR)
		SET(f3dformat_FOUND 1)
		INCLUDE_DIRECTORIES(BEFORE ${f3dformat_INCLUDE_DIR})
		#MESSAGE("DBG f3dformat_INCLUDE_DIR: ${f3dformat_INCLUDE_DIR}")
	ENDIF(f3dformat_LIBRARIES AND f3dformat_INCLUDE_DIR)
ENDIF(UNIX)

SET(f3dfilter_FOUND 0)
IF(UNIX)
	FIND_PATH(f3dfilter_INCLUDE_DIR
		f3dFilter.h
		/usr/local/include
		/usr/include
		)

	FIND_LIBRARY(f3dfilter_LIBRARIES
		f3dfilter
		/usr/local/libx
		/usr/lib
		)

	IF(f3dfilter_LIBRARIES AND f3dfilter_INCLUDE_DIR)
		SET(f3dfilter_FOUND 1)
		INCLUDE_DIRECTORIES(BEFORE ${f3dfilter_INCLUDE_DIR})
		#MESSAGE("DBG f3dfilter_INCLUDE_DIR: ${f3dfilter_INCLUDE_DIR}")
	ENDIF(f3dfilter_LIBRARIES AND f3dfilter_INCLUDE_DIR)
ELSE(UNIX)
	FIND_PATH(f3dfilter_INCLUDE_DIR
		f3dFilter.h
		/usr/local/include
		/usr/include
		)

	FIND_LIBRARY(f3dfilter_LIBRARIES
		f3dfilter
		/usr/local/libx
		/usr/lib
		)

	IF(f3dfilter_LIBRARIES AND f3dfilter_INCLUDE_DIR)
		SET(f3dfilter_FOUND 1)
		INCLUDE_DIRECTORIES(BEFORE ${f3dfilter_INCLUDE_DIR})
		#MESSAGE("DBG f3dfilter_INCLUDE_DIR: ${f3dfilter_INCLUDE_DIR}")
	ENDIF(f3dfilter_LIBRARIES AND f3dfilter_INCLUDE_DIR)
ENDIF(UNIX)

#global settings
SET(F3D_LIBRARIES ${f3dla_LIBRARIES} ${f3dformat_LIBRARIES} ${f3dfilter_LIBRARIES})
MESSAGE("DBG F3D_LIBRARIES: ${F3D_LIBRARIES}")

IF(UNIX)
	SET(F3D_OK f3dfilter_LIBRARIES AND f3dfilter_INCLUDE_DIR AND f3dformat_LIBRARIES AND f3dformat_INCLUDE_DIR AND f3dla_LIBRARIES AND f3dla_INCLUDE_DIR)
	IF(NOT F3D_OK)
		MESSAGE("WARNING F3D Includes and libraries not found")
		MESSAGE("	Specify paths according to instructions in the CMake/FindF3D.cmake file")
	ENDIF(NOT F3D_OK)
ENDIF(UNIX)

#MARK_AS_ADVANCED(
#f3dla_INCLUDE_DIR
#f3dla_LIBRARIES
#f3dformat_INCLUDE_DIR
#f3dformat_LIBRARIES
#f3dfilter_INCLUDE_DIR
#f3dfilter_LIBRARIES
#)
